
local entertainmentMod = ...

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "GALLLOW_KEEP",
	Name = "GALLOW_KEEP",
	Description = "GALLOW_KEEP_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "GALLOW_KEEP_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "GALLOW_KEEP_PART",
	Description = "",
	BuildingZone = { 10, 10 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GALLOW_KEEP"
	},
	ConstructionVisual = "PREFAB_KEEP_CONSTRUCTION",
	Cost = {
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 50 }
		}
	}

})

entertainmentMod:registerPrefabComponent("models/Gallow_Keep.fbx/Prefab/Keep_Group/Gallow", {
	DataType = "COMP_GROUNDED"
})

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "BROTHEL",
	Name = "BROTHEL",
	Description = "BROTHEL_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "BROTHEL_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "BROTHEL_PART",
	Description = "",
	BuildingZone = { 9, 9 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BROTHEL"
	},
	ConstructionVisual = "PREFAB_BROTHEL_CONSTRUCTION",
	Cost = {
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 25 },
			{ Resource = "GLASS", Quantity = 10 }
		}
	}

})